Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class HttpResponse

    java.lang.Object
      com.sshtools.j2ssh.net.HttpHeader
          com.sshtools.j2ssh.net.HttpResponse

public class HttpResponse
extends HttpHeader

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.net.HttpHeader
`begin, white_SPACE`

Constructor Summary
`HttpResponse(java.io.InputStream input)` Creates a new HttpResponse object.

Method Summary
`java.lang.String` | `getAuthenticationMethod()` DOCUMENT ME!
`java.lang.String` | `getAuthenticationRealm()` DOCUMENT ME!
`java.lang.String` | `getReason()` DOCUMENT ME!
`int` | `getStatus()` DOCUMENT ME!
`java.lang.String` | `getVersion()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.net.HttpHeader
`getHeaderField, getHeaderFieldNames, getHeaderFields, getStartLine, processHeaderFields, readLine, setHeaderField, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpResponse

    public HttpResponse(java.io.InputStream input)
                 throws java.io.IOException

  Creates a new HttpResponse object.

Parameters:
  `input` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### getVersion

    public java.lang.String getVersion()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getStatus

    public int getStatus()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getReason

    public java.lang.String getReason()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthenticationMethod

    public java.lang.String getAuthenticationMethod()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthenticationRealm

    public java.lang.String getAuthenticationRealm()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD